Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class NumberCache

    java.lang.Object
      |
      +--org.openorb.util.NumberCache

public final class NumberCache
extends java.lang.Object

A utility class for obtaining `Number` instances. This class caches the most commonly used values.

Author:
  Richard G Clark

Method Summary
`static java.lang.Byte` | `getByte(byte value)` Gets the `Byte` instance for the specifed value.
`static java.lang.Double` | `getDouble(double value)` Gets the `Double` instance for the specifed value.
`static java.lang.Float` | `getFloat(float value)` Gets the `Float` instance for the specifed value.
`static java.lang.Integer` | `getInteger(int value)` Gets the `Integer` instance for the specifed value.
`static java.lang.Long` | `getLong(long value)` Gets the `Long` instance for the specifed value.
`static java.lang.Short` | `getShort(short value)` Gets the `Short` instance for the specifed value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getByte

    public static java.lang.Byte getByte(byte value)

  Gets the `Byte` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Byte` instance

### getShort

    public static java.lang.Short getShort(short value)

  Gets the `Short` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Short` instance

### getInteger

    public static java.lang.Integer getInteger(int value)

  Gets the `Integer` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Integer` instance

### getLong

    public static java.lang.Long getLong(long value)

  Gets the `Long` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Long` instance

### getFloat

    public static java.lang.Float getFloat(float value)

  Gets the `Float` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Float` instance

### getDouble

    public static java.lang.Double getDouble(double value)

  Gets the `Double` instance for the specifed value.
  Parameters:
    `value` - the value for the object
  Returns:
    the `Double` instance

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD